Album: EVERFLOW
Date: December 24, 2021
Date Added: April 13, 2024
URLs:
- https://ohanadyomene.bandcamp.com/album/everflow
Artists:
- horizon
Cover Artists:
- lilYeonYeon
Cover Art File Extension: png
Color: '#E78D97'
Groups:
- horizon
- Beyond
Commentary: |-
    <i>horizon:</i> ([Bandcamp about blurb](https://ohanadyomene.bandcamp.com/track/everflow))

    a companion to [Sleepwalking](https://youtu.be/KKzAi69-x4s) and [[album:the-gap]], EVERFLOW is the final in a trio about growing to understand and accept the passage of time. special thanks to yeon for the art and the title suggestion.
---
Track: EVERFLOW
Duration: '02:44'
Contributors:
- lilYeonYeon (title)
URLs:
- https://ohanadyomene.bandcamp.com/track/everflow
Lyrics: |-
    I know how time can feel like rivers in a storm in winter
    And I've learned the irony can keep us safe from going deeper
    Than the things we thought we meant when we were speaking
    But the hiding us away is what is slowly interfering with the

    Gentle unfolding
    Of all that is happening
    I'm glad that you're asking
    'cause I sure don't know

    I never thought I'd be this far ahead and finally speaking
    While everything I've never said is on the shelf and squеaking
    Slowly back to life, put the movemеnts in the meat again
    Seeing my own body as a soul until it's me again

    The gentle unfolding
    Of all that is happening
    I'm glad that you're asking
    'cause I sure don't know

    I've spent my life waiting
    A gentle awakening:
    I've been here for all this time
    I've been here for all this time

    The moon
    The stars
    The atmosphere
    From long
    Before
    I shed a tear
    They held
    Our bones
    In wait for us
    And soon
    We bloom
    All seasonless
    We learn
    The tune
    We learn to dance
    And time
    Itself
    Will hold our hands
---
Track: EVERFLOW (instrumental)
Duration: '02:44'
Contributors:
- lilYeonYeon (title)
Referenced Tracks:
- EVERFLOW
URLs:
- https://ohanadyomene.bandcamp.com/track/everflow-instrumental
